import { httpDelete, httpGet } from '../../utils/http'
import {
  PointsOrder,
  ResPageData,
  Todo,
  Agent,
  Designer,
  AgentTask,
  ReportInfo,
} from '@designer-hub/app/src/core/libs/models'

/**
 * 设计师列表
 */
export const getDesigners = (query = {}) =>
  httpGet<ResPageData<Designer>>('/app-api/member/app-broker/pageStylist', query)
/**
 * 任务列表
 */
export const getTasks = (query = {}) =>
  httpGet<ResPageData<AgentTask>>('/app-api/member/task/page', query)
/**
 * 关系报备
 */
export const getReportInfoPage = (query = {}) =>
  httpGet<ResPageData<ReportInfo>>('/app-api/member/report-info/page', query)
/**
 * 删除关系报备
 */
export const deleteReportInfo = (id: number) =>
  httpDelete(`/app-api/member/report-info/delete`, { id })
